--- old/usr/src/lib/libeti/form/i386/Makefile	2019-07-05 17:32:49.094473902 +0000
+++ new/usr/src/lib/libeti/form/i386/Makefile	2019-07-05 17:32:49.110731088 +0000
@@ -26,4 +26,5 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/form/sparc/Makefile	2019-07-05 17:32:49.532643652 +0000
+++ new/usr/src/lib/libeti/form/sparc/Makefile	2019-07-05 17:32:49.548187392 +0000
@@ -26,4 +26,5 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/form/sparcv9/Makefile	2019-07-05 17:32:49.997995521 +0000
+++ new/usr/src/lib/libeti/form/sparcv9/Makefile	2019-07-05 17:32:50.016344901 +0000
@@ -29,4 +29,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libeti/menu/Makefile.com	2019-07-05 17:32:50.479358629 +0000
+++ new/usr/src/lib/libeti/menu/Makefile.com	2019-07-05 17:32:50.496375067 +0000
@@ -75,6 +75,13 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+COMPATLINKS=	/usr/ccs/lib/libmenu.so \
+		/usr/ccs/lib/$(MACH64)/libmenu.so
+
+$(ROOT)/usr/ccs/lib/libmenu.so := COMPATLINKTARGET= ../../lib/libmenu.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libmenu.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libmenu.so.1
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libeti/menu/amd64/Makefile	2019-07-05 17:32:50.956680969 +0000
+++ new/usr/src/lib/libeti/menu/amd64/Makefile	2019-07-05 17:32:50.974278520 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libeti/menu/i386/Makefile	2019-07-05 17:32:51.427401071 +0000
+++ new/usr/src/lib/libeti/menu/i386/Makefile	2019-07-05 17:32:51.444997200 +0000
@@ -22,11 +22,12 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/menu/sparc/Makefile	2019-07-05 17:32:51.912478497 +0000
+++ new/usr/src/lib/libeti/menu/sparc/Makefile	2019-07-05 17:32:51.930345483 +0000
@@ -22,11 +22,12 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/menu/sparcv9/Makefile	2019-07-05 17:32:52.396165262 +0000
+++ new/usr/src/lib/libeti/menu/sparcv9/Makefile	2019-07-05 17:32:52.412489929 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libeti/panel/Makefile.com	2019-07-05 17:32:52.865448080 +0000
+++ new/usr/src/lib/libeti/panel/Makefile.com	2019-07-05 17:32:52.883511238 +0000
@@ -51,6 +51,14 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+COMPATLINKS=	/usr/ccs/lib/libpanel.so \
+		/usr/ccs/lib/$(MACH64)/libpanel.so
+
+$(ROOT)/usr/ccs/lib/libpanel.so:=	COMPATLINKTARGET=../../lib/libpanel.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libpanel.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libpanel.so.1
+
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libeti/panel/amd64/Makefile	2019-07-05 17:32:53.332790157 +0000
+++ new/usr/src/lib/libeti/panel/amd64/Makefile	2019-07-05 17:32:53.349643568 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libeti/panel/i386/Makefile	2019-07-05 17:32:53.818261637 +0000
+++ new/usr/src/lib/libeti/panel/i386/Makefile	2019-07-05 17:32:53.836653970 +0000
@@ -22,11 +22,12 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/panel/sparc/Makefile	2019-07-05 17:32:54.350969813 +0000
+++ new/usr/src/lib/libeti/panel/sparc/Makefile	2019-07-05 17:32:54.369654924 +0000
@@ -22,11 +22,12 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libeti/panel/sparcv9/Makefile	2019-07-05 17:32:54.822158886 +0000
+++ new/usr/src/lib/libeti/panel/sparcv9/Makefile	2019-07-05 17:32:54.839596765 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 .KEEP_STATE:
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libfakekernel/amd64/Makefile	2019-07-05 17:32:55.269781128 +0000
+++ new/usr/src/lib/libfakekernel/amd64/Makefile	2019-07-05 17:32:55.280166892 +0000
@@ -29,4 +29,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libfakekernel/i386/Makefile	2019-07-05 17:32:55.712324048 +0000
+++ new/usr/src/lib/libfakekernel/i386/Makefile	2019-07-05 17:32:55.728446836 +0000
@@ -28,4 +28,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libfakekernel/sparc/Makefile	2019-07-05 17:32:56.148349914 +0000
+++ new/usr/src/lib/libfakekernel/sparc/Makefile	2019-07-05 17:32:56.164518434 +0000
@@ -28,4 +28,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libfakekernel/sparcv9/Makefile	2019-07-05 17:32:56.575945170 +0000
+++ new/usr/src/lib/libfakekernel/sparcv9/Makefile	2019-07-05 17:32:56.591356345 +0000
@@ -29,4 +29,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libfdisk/amd64/Makefile	2019-07-05 17:32:57.035108829 +0000
+++ new/usr/src/lib/libfdisk/amd64/Makefile	2019-07-05 17:32:57.056704759 +0000
@@ -26,4 +26,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libfdisk/i386/Makefile	2019-07-05 17:32:57.532496046 +0000
+++ new/usr/src/lib/libfdisk/i386/Makefile	2019-07-05 17:32:57.549411430 +0000
@@ -26,4 +26,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libfdisk/sparcv9/Makefile	2019-07-05 17:32:58.011732805 +0000
+++ new/usr/src/lib/libfdisk/sparcv9/Makefile	2019-07-05 17:32:58.030146749 +0000
@@ -25,4 +25,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libgen/Makefile.com	2019-07-05 17:32:58.463588237 +0000
+++ new/usr/src/lib/libgen/Makefile.com	2019-07-05 17:32:58.481768829 +0000
@@ -50,6 +50,13 @@
 # not linted
 SMATCH=off
 
+COMPATLINKS +=	/usr/ccs/lib/libgen.so \
+		/usr/ccs/lib/$(MACH64)/libgen.so \
+
+$(ROOT)/usr/ccs/lib/libgen.so := COMPATLINKTARGET=../../../lib/libgen.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libgen.so:= \
+	COMPATLINKTARGET=../../../../lib/$(MACH64)/libgen.so.1
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libgen/amd64/Makefile	2019-07-05 17:32:58.933292060 +0000
+++ new/usr/src/lib/libgen/amd64/Makefile	2019-07-05 17:32:58.950345970 +0000
@@ -29,4 +29,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libgen/i386/Makefile	2019-07-05 17:32:59.392292080 +0000
+++ new/usr/src/lib/libgen/i386/Makefile	2019-07-05 17:32:59.409300572 +0000
@@ -26,4 +26,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libgen/sparc/Makefile	2019-07-05 17:32:59.862911728 +0000
+++ new/usr/src/lib/libgen/sparc/Makefile	2019-07-05 17:32:59.881182001 +0000
@@ -26,4 +26,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libgen/sparcv9/Makefile	2019-07-05 17:33:00.361857251 +0000
+++ new/usr/src/lib/libgen/sparcv9/Makefile	2019-07-05 17:33:00.379246782 +0000
@@ -29,4 +29,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libinetutil/amd64/Makefile	2019-07-05 17:33:00.841072294 +0000
+++ new/usr/src/lib/libinetutil/amd64/Makefile	2019-07-05 17:33:00.859119255 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libinetutil/i386/Makefile	2019-07-05 17:33:01.305453381 +0000
+++ new/usr/src/lib/libinetutil/i386/Makefile	2019-07-05 17:33:01.323001160 +0000
@@ -23,8 +23,8 @@
 # Copyright (c) 2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libinetutil/sparc/Makefile	2019-07-05 17:33:01.774355747 +0000
+++ new/usr/src/lib/libinetutil/sparc/Makefile	2019-07-05 17:33:01.790707844 +0000
@@ -23,9 +23,9 @@
 # Copyright (c) 2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libinetutil/sparcv9/Makefile	2019-07-05 17:33:02.227277250 +0000
+++ new/usr/src/lib/libinetutil/sparcv9/Makefile	2019-07-05 17:33:02.236589897 +0000
@@ -23,10 +23,10 @@
 # Copyright (c) 2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libintl/amd64/Makefile	2019-07-05 17:33:02.650960514 +0000
+++ new/usr/src/lib/libintl/amd64/Makefile	2019-07-05 17:33:02.666853977 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libintl/i386/Makefile	2019-07-05 17:33:03.080803563 +0000
+++ new/usr/src/lib/libintl/i386/Makefile	2019-07-05 17:33:03.096172357 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libintl/sparc/Makefile	2019-07-05 17:33:03.477025183 +0000
+++ new/usr/src/lib/libintl/sparc/Makefile	2019-07-05 17:33:03.491876915 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libintl/sparcv9/Makefile	2019-07-05 17:33:03.921367969 +0000
+++ new/usr/src/lib/libintl/sparcv9/Makefile	2019-07-05 17:33:03.941262791 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libkstat/amd64/Makefile	2019-07-05 17:33:04.398251244 +0000
+++ new/usr/src/lib/libkstat/amd64/Makefile	2019-07-05 17:33:04.411272539 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libkstat/i386/Makefile	2019-07-05 17:33:04.866105129 +0000
+++ new/usr/src/lib/libkstat/i386/Makefile	2019-07-05 17:33:04.883433264 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libkstat/sparc/Makefile	2019-07-05 17:33:05.346477699 +0000
+++ new/usr/src/lib/libkstat/sparc/Makefile	2019-07-05 17:33:05.363590588 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libkstat/sparcv9/Makefile	2019-07-05 17:33:05.805587511 +0000
+++ new/usr/src/lib/libkstat/sparcv9/Makefile	2019-07-05 17:33:05.822709390 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libm/amd64/Makefile	2019-07-05 17:33:06.285854145 +0000
+++ new/usr/src/lib/libm/amd64/Makefile	2019-07-05 17:33:06.303426000 +0000
@@ -17,6 +17,6 @@
 include ../Makefile.com
 include $(SRC)/lib/Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
--- old/usr/src/lib/libm/i386/Makefile	2019-07-05 17:33:06.753909940 +0000
+++ new/usr/src/lib/libm/i386/Makefile	2019-07-05 17:33:06.770937216 +0000
@@ -23,6 +23,6 @@
 CFLAGS		+= -_gcc=-ffloat-store
 $(OBJS_M9XSSE)	:= CFLAGS += -xarch=sse2
 
-install: 	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 include ../Makefile.targ
--- old/usr/src/lib/libm/sparc/Makefile	2019-07-05 17:33:07.226069489 +0000
+++ new/usr/src/lib/libm/sparc/Makefile	2019-07-05 17:33:07.242208161 +0000
@@ -18,6 +18,6 @@
 
 CHIP		= ultra
 
-install: 	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 include ../Makefile.targ
--- old/usr/src/lib/libm/sparcv9/Makefile	2019-07-05 17:33:07.676625741 +0000
+++ new/usr/src/lib/libm/sparcv9/Makefile	2019-07-05 17:33:07.694277511 +0000
@@ -20,6 +20,6 @@
 
 CHIP		= ultra
 
-install: 	all $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
--- old/usr/src/lib/libm1/Makefile.com	2019-07-05 17:33:08.165842211 +0000
+++ new/usr/src/lib/libm1/Makefile.com	2019-07-05 17:33:08.182491972 +0000
@@ -14,8 +14,8 @@
 #
 
 
-LIBRARY 	= libm.a
-VERS 		= .1
+LIBRARY		= libm.a
+VERS		= .1
 
 LIBMDIR		= $(SRC)/lib/libm
 
@@ -23,16 +23,19 @@
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/lib/Makefile.rootfs
-include 	$(LIBMDIR)/Makefile.libm.com
+include		$(LIBMDIR)/Makefile.libm.com
 
-LIBS 		= $(DYNLIB)
+LIBS		= $(DYNLIB)
 SRCS		= $(OBJECTS:%.o=../common/%.c)
 SRCDIR		= ../common/
 
 CPPFLAGS	+= -DLIBM_BUILD
 MAPFILEDIR	= ../common/
-DYNFLAGS 	+= -zignore -Wl,-F'libm.so.2'
-LINTFLAGS64     += -errchk=longptr64
+DYNFLAGS	+= -zignore -Wl,-F'libm.so.2'
+LINTFLAGS64	+= -errchk=longptr64
+
+COMPATLINKS	= /usr/lib/$(DYNLIB)
+COMPATLINKS64	= /usr/lib/$(MACH64)/$(DYNLIB)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libm1/amd64/Makefile	2019-07-05 17:33:08.619875045 +0000
+++ new/usr/src/lib/libm1/amd64/Makefile	2019-07-05 17:33:08.637412283 +0000
@@ -18,6 +18,6 @@
 include ../Makefile.com
 include $(SRC)/lib/Makefile.lib.64
 
-install: all $(ROOTLIBS64)
+install: all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/lib/libm1/i386/Makefile	2019-07-05 17:33:09.095324426 +0000
+++ new/usr/src/lib/libm1/i386/Makefile	2019-07-05 17:33:09.115083521 +0000
@@ -16,6 +16,6 @@
 TARGET_ARCH=	i386
 include ../Makefile.com
 
-install: all $(ROOTLIBS)
+install: all $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/lib/libm1/sparc/Makefile	2019-07-05 17:33:09.581855965 +0000
+++ new/usr/src/lib/libm1/sparc/Makefile	2019-07-05 17:33:09.599133880 +0000
@@ -17,6 +17,6 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS)
+install: all $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/lib/libm1/sparcv9/Makefile	2019-07-05 17:33:10.062004773 +0000
+++ new/usr/src/lib/libm1/sparcv9/Makefile	2019-07-05 17:33:10.079683916 +0000
@@ -18,6 +18,6 @@
 include ../Makefile.com
 include $(SRC)/lib/Makefile.lib.64
 
-install: all $(ROOTLIBS64)
+install: all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/lib/libmalloc/Makefile.com	2019-07-05 17:33:10.550575083 +0000
+++ new/usr/src/lib/libmalloc/Makefile.com	2019-07-05 17:33:10.567586731 +0000
@@ -22,13 +22,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 LIBRARY=	libmalloc.a
 VERS=		.1
 
-OBJECTS= 	malloc.o
+OBJECTS=	malloc.o
 
 # include library definitions
 include ../../Makefile.lib
@@ -46,6 +44,13 @@
 DYNFLAGS +=	$(ZINTERPOSE)
 LDLIBS +=	-lc
 
+COMPATLINKS=	/usr/ccs/lib/libmalloc.so \
+		/usr/ccs/lib/$(MACH64)/libmalloc.so
+
+$(ROOT)/usr/ccs/lib/libmalloc.so := COMPATLINKTARGET=../../lib/libmalloc.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libmalloc.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libmalloc.so.1
+
 .KEEP_STATE:
 
 lint: lintcheck
--- old/usr/src/lib/libmalloc/amd64/Makefile	2019-07-05 17:33:11.044111751 +0000
+++ new/usr/src/lib/libmalloc/amd64/Makefile	2019-07-05 17:33:11.061167955 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libmalloc/i386/Makefile	2019-07-05 17:33:11.513665588 +0000
+++ new/usr/src/lib/libmalloc/i386/Makefile	2019-07-05 17:33:11.529859994 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,5 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libmalloc/sparc/Makefile	2019-07-05 17:33:11.970164760 +0000
+++ new/usr/src/lib/libmalloc/sparc/Makefile	2019-07-05 17:33:11.989517164 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,5 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libmalloc/sparcv9/Makefile	2019-07-05 17:33:12.466398585 +0000
+++ new/usr/src/lib/libmalloc/sparcv9/Makefile	2019-07-05 17:33:12.484964590 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -32,4 +32,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libmd/amd64/Makefile	2019-07-05 17:33:12.949982804 +0000
+++ new/usr/src/lib/libmd/amd64/Makefile	2019-07-05 17:33:12.966978815 +0000
@@ -59,7 +59,7 @@
 
 all:		$(LIBS)
 
-install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
 
 lint:		lintcheck
 
--- old/usr/src/lib/libmd/i386/Makefile	2019-07-05 17:33:13.419250226 +0000
+++ new/usr/src/lib/libmd/i386/Makefile	2019-07-05 17:33:13.436343590 +0000
@@ -38,7 +38,7 @@
 
 all:		$(LIBS)
 
-install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 lint:		lintcheck
 
--- old/usr/src/lib/libmd/sparc/Makefile	2019-07-05 17:33:13.901238700 +0000
+++ new/usr/src/lib/libmd/sparc/Makefile	2019-07-05 17:33:13.921200092 +0000
@@ -45,7 +45,7 @@
 
 all:		$(LIBS)
 
-install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
 
 lint:		lintcheck
 
--- old/usr/src/lib/libmd/sparcv9/Makefile	2019-07-05 17:33:14.400142430 +0000
+++ new/usr/src/lib/libmd/sparcv9/Makefile	2019-07-05 17:33:14.416289254 +0000
@@ -35,14 +35,14 @@
 include		../Makefile.com
 
 # Symbol capabilities objects are added for sun4u and sun4v.
-EXTPICS = 	../capabilities/sun4u/sparcv9/pics/symcap.o \
+EXTPICS =	../capabilities/sun4u/sparcv9/pics/symcap.o \
 		../capabilities/sun4v/sparcv9/pics/symcap.o
 
 .KEEP_STATE:
 
 all:		$(LIBS)
 
-install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
 
 lint:		lintcheck
 
--- old/usr/src/lib/libmd5/amd64/Makefile	2019-07-05 17:33:14.883902806 +0000
+++ new/usr/src/lib/libmd5/amd64/Makefile	2019-07-05 17:33:14.901595552 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libmd5/i386/Makefile	2019-07-05 17:33:15.362729490 +0000
+++ new/usr/src/lib/libmd5/i386/Makefile	2019-07-05 17:33:15.379992979 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libmd5/sparc/Makefile	2019-07-05 17:33:15.821165944 +0000
+++ new/usr/src/lib/libmd5/sparc/Makefile	2019-07-05 17:33:15.837327685 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libmd5/sparcv9/Makefile	2019-07-05 17:33:16.292629764 +0000
+++ new/usr/src/lib/libmd5/sparcv9/Makefile	2019-07-05 17:33:16.309314887 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libmp/Makefile.com	2019-07-05 17:33:16.773825323 +0000
+++ new/usr/src/lib/libmp/Makefile.com	2019-07-05 17:33:16.790929012 +0000
@@ -22,8 +22,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 LIBRARY=	libmp.a
 VERS=		.2
@@ -36,6 +34,9 @@
 # install this library in the root filesystem
 include ../../Makefile.rootfs
 
+COMPATLINKS += /usr/lib/libmp.so.1
+$(ROOT)/usr/lib/libmp.so.1 := COMPATLINKTARGET=../../lib/libmp.so.1
+
 SRCDIR =	../common
 
 OMAPFILE =	../common/mapfile_1-vers
--- old/usr/src/lib/libmp/amd64/Makefile	2019-07-05 17:33:17.292379794 +0000
+++ new/usr/src/lib/libmp/amd64/Makefile	2019-07-05 17:33:17.310475976 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -34,4 +34,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libmp/i386/Makefile	2019-07-05 17:33:17.776486105 +0000
+++ new/usr/src/lib/libmp/i386/Makefile	2019-07-05 17:33:17.795528522 +0000
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 OLIBRARY =	libmp.so.1
@@ -51,4 +51,5 @@
 
 all: $(LIBS) $(OLIBRARY)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLIBDIR)/$(OLIBRARY)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLIBDIR)/$(OLIBRARY) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libmp/sparc/Makefile	2019-07-05 17:33:18.235380077 +0000
+++ new/usr/src/lib/libmp/sparc/Makefile	2019-07-05 17:33:18.251785996 +0000
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 OLIBRARY =	libmp.so.1
@@ -51,4 +51,5 @@
 
 all: $(LIBS) $(OLIBRARY)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLIBDIR)/$(OLIBRARY)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLIBDIR)/$(OLIBRARY) \
+	$(ROOTCOMPATLINKS)
--- old/usr/src/lib/libmp/sparcv9/Makefile	2019-07-05 17:33:18.684161531 +0000
+++ new/usr/src/lib/libmp/sparcv9/Makefile	2019-07-05 17:33:18.700738752 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -34,4 +34,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libmvec/amd64/Makefile	2019-07-05 17:33:19.168713361 +0000
+++ new/usr/src/lib/libmvec/amd64/Makefile	2019-07-05 17:33:19.186714100 +0000
@@ -15,8 +15,8 @@
 
 TARGET_ARCH	= amd64
 
-LIBRARY 	= libmvec.a
-VERS 		= .1
+LIBRARY		= libmvec.a
+VERS		= .1
 
 OBJECTS		= $(mvecOBJS)
 
@@ -25,6 +25,6 @@
 
 SRCS		= $(SRCS_mvec)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include $(SRC)/lib/libm/Makefile.targ
--- old/usr/src/lib/libmvec/i386/Makefile	2019-07-05 17:33:19.651906109 +0000
+++ new/usr/src/lib/libmvec/i386/Makefile	2019-07-05 17:33:19.668149522 +0000
@@ -15,8 +15,8 @@
 
 TARGET_ARCH=	i386
 
-LIBRARY 	= libmvec.a
-VERS 		= .1
+LIBRARY		= libmvec.a
+VERS		= .1
 
 OBJECTS		= $(mvecOBJS)
 
@@ -24,6 +24,6 @@
 
 SRCS		= $(SRCS_mvec)
 
-install: all $(ROOTLIBS) $(ROOTLINKS)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include $(SRC)/lib/libm/Makefile.targ
--- old/usr/src/lib/libmvec/sparc/Makefile	2019-07-05 17:33:20.124366583 +0000
+++ new/usr/src/lib/libmvec/sparc/Makefile	2019-07-05 17:33:20.140176865 +0000
@@ -15,8 +15,8 @@
 
 TARGET_ARCH=	sparc
 
-LIBRARY 	= libmvec.a
-VERS 		= .1
+LIBRARY		= libmvec.a
+VERS		= .1
 
 OBJECTS		= $(mvecOBJS)
 
@@ -25,6 +25,6 @@
 CHIP		= ultra
 SRCS		= $(SRCS_mvec)
 
-install: 	all $(ROOTLIBS) $(ROOTLINKS)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/lib/libmvec/sparcv9/Makefile	2019-07-05 17:33:20.581034233 +0000
+++ new/usr/src/lib/libmvec/sparcv9/Makefile	2019-07-05 17:33:20.597555258 +0000
@@ -15,8 +15,8 @@
 
 TARGET_ARCH	= sparcv9
 
-LIBRARY 	= libmvec.a
-VERS 		= .1
+LIBRARY		= libmvec.a
+VERS		= .1
 
 OBJECTS		= $(mvecOBJS)
 
@@ -27,6 +27,6 @@
 
 SRCS		= $(SRCS_mvec)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) 
+install: all $(ROOTLIBS64) $(ROOTLINKS64)  $(ROOTCOMPATLINKS64)
 
 include $(SRC)/lib/libm/Makefile.targ
--- old/usr/src/lib/libnsl/amd64/Makefile	2019-07-05 17:33:21.040511989 +0000
+++ new/usr/src/lib/libnsl/amd64/Makefile	2019-07-05 17:33:21.058843394 +0000
@@ -23,7 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -35,4 +35,4 @@
 
 amd64_C_PICFLAGS = $(amd64_C_BIGPICFLAGS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libnsl/i386/Makefile	2019-07-05 17:33:21.521611100 +0000
+++ new/usr/src/lib/libnsl/i386/Makefile	2019-07-05 17:33:21.538697354 +0000
@@ -23,9 +23,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libnsl/sparc/Makefile	2019-07-05 17:33:22.007171524 +0000
+++ new/usr/src/lib/libnsl/sparc/Makefile	2019-07-05 17:33:22.028712640 +0000
@@ -23,9 +23,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
